Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class MimeType

    java.lang.Object
      org.exist.util.MimeType

public class MimeType
extends java.lang.Object

Field Summary
`static int` | `BINARY`
`static MimeType` | `BINARY_TYPE`
`static int` | `XML`
`static MimeType` | `XML_TYPE`

Constructor Summary
`MimeType(java.lang.String name, int type)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`int` | `getType()`
`java.lang.String` | `getXMLDBType()`
`boolean` | `isXMLType()`
`void` | `setDescription(java.lang.String description)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML

    public static final int XML

See Also:
  Constant Field Values

### BINARY

    public static final int BINARY

See Also:
  Constant Field Values

### BINARY_TYPE

    public static final MimeType BINARY_TYPE

### XML_TYPE

    public static final MimeType XML_TYPE

Constructor Detail

### MimeType

    public MimeType(java.lang.String name,
                    int type)

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### getType

    public int getType()

### getXMLDBType

    public java.lang.String getXMLDBType()

### isXMLType

    public boolean isXMLType()

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.